%?mingw_package_header

%global qt_module qtgraphicaleffects
#%%global pre beta1

#%%global snapshot_date 20121112
#%%global snapshot_rev fcbc6043

%if 0%{?snapshot_date}
%global source_folder qt-%{qt_module}
%else
%global source_folder %{qt_module}-opensource-src-%{version}%{?pre:-%{pre}}
%endif

Name:           mingw-qt5-%{qt_module}
Version:        5.0.2
Release:        4%{?pre:.%{pre}}%{?snapshot_date:.git%{snapshot_date}.%{snapshot_rev}}%{?dist}
Summary:        Qt5 for Windows - QtGraphicalEffects component

License:        GPLv3 with exceptions or LGPLv2 with exceptions
Group:          Development/Libraries
URL:            http://qt-project.org/

%if 0%{?snapshot_date}
# To regenerate:
# wget http://qt.gitorious.org/qt/%{qt_module}/archive-tarball/%{snapshot_rev} -O qt5-%{qt_module}-%{snapshot_rev}.tar.gz
Source0:        qt5-%{qt_module}-%{snapshot_rev}.tar.gz
%else
Source0:        http://releases.qt-project.org/qt5/%{version}/submodules/%{qt_module}-opensource-src-%{version}%{?pre:-%{pre}}.tar.xz
%endif

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 96
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-qt5-qtbase

BuildRequires:  mingw64-filesystem >= 96
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-qt5-qtbase


%description
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.


# Win32
%package -n mingw32-qt5-%{qt_module}
Summary:        Qt5 for Windows - QtGraphicalEffects component

# This package only contains QtQuick 2.0 based .qml files.
# The automatic dependency extractor isn't able to process
# this type of files yet, so add a manual dependency
Requires:       mingw32-qt5-qtdeclarative

%description -n mingw32-qt5-%{qt_module}
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.


# Win64
%package -n mingw64-qt5-%{qt_module}
Summary:        Qt5 for Windows - QtGraphicalEffects component

# This package only contains QtQuick 2.0 based .qml files.
# The automatic dependency extractor isn't able to process
# this type of files yet, so add a manual dependency
Requires:       mingw64-qt5-qtdeclarative

%description -n mingw64-qt5-%{qt_module}
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.


%prep
%setup -q -n %{source_folder}


%build
%mingw_qmake_qt5 ../%{qt_module}.pro
%mingw_make %{?_smp_mflags}


%install
%mingw_make install INSTALL_ROOT=$RPM_BUILD_ROOT


# Win32
%files -n mingw32-qt5-%{qt_module}
%{mingw32_datadir}/qt5/qml/QtGraphicalEffects/

# Win64
%files -n mingw64-qt5-%{qt_module}
%{mingw64_datadir}/qt5/qml/QtGraphicalEffects/


%changelog
* Fri May 31 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.2-4
- Changed URL to http://qt-project.org/

* Thu May 30 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.2-3
- Don't generate a debuginfo subpackage as this package doesn't have compiled code

* Sun May 26 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.2-2
- Add manual Requires: mingw{32,64}-qt5-qtdeclarative
  as the automatic dependency extractor isn't able to
  process this type of files yet

* Fri May 10 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.2-1
- Update to 5.0.2

* Sat Feb  9 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.1-1
- Update to 5.0.1

* Fri Jan 11 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-1
- Update to Qt 5.0.0 Final

* Mon Nov 12 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.2.beta1.git20121112.fcbc6043
- Update to 20121112 snapshot (rev fcbc6043)
- Rebuild against latest mingw-qt5-qtbase

* Mon Sep 10 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.1.beta1
- Initial release

